Test Socks5 Proxy

How to check if a Socks5 proxy works – Super User

Is there an easy way, preferably by using the Linux terminal, to check if a Socks5 proxy works?
harrymc378k24 gold badges432 silver badges777 bronze badges
asked Jun 28 ’11 at 8:47
If you created the proxy by yourself you should first of all check whether there is an open port (the p argument only works if the concerning process is yours or you are root):
netstat -tlnp
This should give you a line like: (I have a proxy on localhost:8888)
tcp 0 0 127. 0. 1:8888 0. 0:* LISTEN
If you found such a line or the proxy isn’t yours, try sending packets through it. For example request a web page with curl:
curl –socks5 localhost:8888
Should output some HTML stuff. Hope this helps to search for mistakes;-)
Aux: For my example I created the proxy via:
ssh -o ServerAliveInterval=60 -D8888 someone@somewhere
Replace someone with your username and somewhere with your destination server. Of course using OpenSSH is just one method in a bunch of possible socks5 proxies.
answered Jun 28 ’11 at 9:04
binfalsebinfalse1, 62614 silver badges9 bronze badges
4
To get curl to resolve the DNS on the other side, change –socks5 with –socks5-hostname.
See the man page for more info.
Alex1, 6935 gold badges19 silver badges27 bronze badges
answered Aug 15 ’13 at 7:16
1
The following command will test whether Socks 5 proxy works at localhost:8080:
timeout 5 curl -x socks5localhost:8080
Otherwise it’ll timeout after 5 seconds. If you don’t have a timeout command, drop it.
answered Apr 15 ’18 at 19:38
kenorbkenorb21. 2k23 gold badges114 silver badges172 bronze badges
You may connect with netcat and follow the rules of RFC 1928 to talk to the server. You’d have to be able to type and read non-printable characters though, or log them to a file for further examination.
E. g., to test if it’s a SOCKS5 server and find out which of no-auth, gssapi, or usr+pwd authentication methods it would support, send 0x05 0x03 0x00 0x01 0x02. A SOCKS5 server prepared to use usr+pwd authentication would reply 0x05 0x02.
Or here’s how to check if it’s a SOCKS5 server and no-auth (method 0) works:
echo 050100 | xxd -p -r | netcat -o {server} {port}
After you interrupt that, towards the end of it should have produced 0x05 0x00 if the server supports that method (0), or 0x05 0xFF if it does not.
answered Sep 28 ’18 at 13:32
Not the answer you’re looking for? Browse other questions tagged linux proxy socks5 or ask your own question.
is it possible to check whether a local socks proxy works with ...

is it possible to check whether a local socks proxy works with …

Say I have a SOCKS connection at local (established by ssh -D8888). I use this to do many things, like bypass the internet censorship.
But sometimes the ssh would unexpectedly broken. Then the socks is down.
Is there anything that I can used to check whether the local SOCKS proxy is still alive?
Thanks,
asked Sep 6 ’15 at 3:36
AGamePlayerAGamePlayer6, 50515 gold badges42 silver badges53 bronze badges
0
You can test the availability of a socks proxy by trying to load a website through the tunnel.
curl -sSf –socks5-hostname localhost:8888 > /dev/null
In the above command, curl will be silent, unless an error occurs. You can wrap this command in a for loop within a script. The return value of curl is zero if the socks proxy is alive (and is not down).
#! /bin/bash
set -o errexit
set -o nounset
#set -o xtrace
PROGNAME=$(basename $0)
die () {
echo “${PROGNAME}: ${1:-“Unknown Error, Abort. “}” 1>&2
exit 1}
status=0
while [[ 1]]; do
curl -sSf –socks5-hostname localhost:8888 > /dev/null || status=$?
if [[ $status -ne 0]]; then
echo “Trying to reconnect.. ”
# kill proxy
# reconnect-cmd || die “$LINENO: reconnecting failed”
fi
sleep 100
done
answered Sep 6 ’15 at 6:24
Not the answer you’re looking for? Browse other questions tagged shell socks or ask your own question.
How can I tell if I use a proxy server? - Grammarly Support

How can I tell if I use a proxy server? – Grammarly Support

Thank you! Your feedback helps us improve. ✕
How can I tell if I use a proxy server?
If your computer uses a web proxy server to access the Internet, you may have issues using Grammarly’s native app for Windows. Currently, this product doesn’t support proxy.
This article describes how to check whether your computer uses a proxy server to access the Internet. Depending on your operating system (macOS, Windows 7, Windows 8 or 8. 1, or Windows 10), please follow the steps in the corresponding section:
macOS
Navigate to the Apple menu > System Preferences, and click Network.
Select the network service you use from the list (e. g., Ethernet or Wi-Fi).
Click Advanced, then click Proxies.
If nothing is checked under “Select a protocol to configure”, it means you do not use a proxy server.
Windows 7
Click the Start button, then click Control Panel
In the Control Panel window, click Internet Options
In the Internet Options window, go to the Connections tab and click the LAN Settings button
If “Use a proxy server for your LAN” is not checked, it means that you don’t use a proxy server.
Windows 8 or 8. 1
Right-click on the Start button and click Control Panel
Click Network and Internet
Select Internet Options
If “Use a proxy server for your LAN” is not checked, it means that you don’t use a proxy server.
Windows 10
Right-click on the Start button and click Setting
Go to Network & Internet > Proxy
See if the Use a proxy server option is on
Have more questions? Submit a request
answer-bot

Frequently Asked Questions about test socks5 proxy

How do I test my SOCKS5 proxy?

You can test the availability of a socks proxy by trying to load a website through the tunnel. In the above command, curl will be silent, unless an error occurs. You can wrap this command in a for loop within a script. The return value of curl is zero if the socks proxy is alive (and google.com is not down).Sep 6, 2015

How do you test if a proxy is working?

Right-click on the Start button and click Control Panel.Click Network and Internet.Select Internet Options.In the Internet Options window, go to the Connections tab and click the LAN Settings button.If “Use a proxy server for your LAN” is not checked, it means that you don’t use a proxy server.

Can SOCKS5 be detected?

Like most proxies, SOCKS5 won’t encrypt your data, and will lower internet speed and stability. Moreover, SOCKS is quite detectable, so it most likely won’t get you around national firewalls.

Leave a Reply

Your email address will not be published. Required fields are marked *